package br.ufrn.imd.balance.service;

import br.ufrn.imd.balance.domain.Account;
import br.ufrn.imd.balance.domain.Client;
import br.ufrn.imd.balance.repository.ClientRepository;
import lombok.AllArgsConstructor;
import lombok.extern.java.Log;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Log
@AllArgsConstructor
@Service
public class BalanceService {
    @Autowired
    private final ClientRepository clientRepository;

    public Client balance(Client client) {
        client = clientRepository.findById(client.getId())
                .orElseThrow(() -> new RuntimeException("Invalid user!"));
        Account account = client.getAccount();
        log.info(String.format("Account Balance: R$ %.2f", account.getBalance()));

        return client;
    }
}
